#-----------------------------------------------------------------------------	
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%global		platform	pc efi
%global		_ufontvers	13.0.06
#-----------------------------------------------------------------------------
Name		:	grub
Version		:	2.06
Release		:	14.4.0.0%{?dist}
Summary		:	Grand Unified Boot Loader
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://www.gnu.org/software/grub/
			#https://savannah.gnu.org/git/?group=grub

Source0		:	%{name}-%{version}.tar.xz
Source1		:	unifont-%{_ufontvers}.pcf.gz
#-----------------------------------------------------------------------------
BuildRequires	:	freetype-devel
BuildRequires	:	osukiss-release
BuildRequires	:	zfs-devel
BuildRequires	:	xz-devel

Requires	:	efibootmgr
Requires	:	sed
#-----------------------------------------------------------------------------
%description
GRUB (Grand Unified Boot Loader) is an experimental boot loader
capable of booting into most free operating systems - Linux, FreeBSD,
NetBSD, GNU Mach, and others as well as most commercial operating
systems.

#-----------------------------------------------------------------------------
%files			-f  %{name}.lang
%defattr(-, root,root, 0755)
%doc AUTHORS COPYING NEWS README THANKS TODO ABOUT-NLS BUGS
%dir /boot/%{name}
%{_sysconfdir}/%{name}.d
%config(noreplace) %{_sysconfdir}/default/%{name}
%{_sbindir}/%{name}-*
%{_bindir}/%{name}-*
%{_libdir}/%{name}/{i386-pc,x86_64-efi}/*
%{_datadir}/%{name}/%{name}-mkconfig_lib
%{_datadir}/%{name}/*.h
%{_datadir}/%{name}/*.pf2
%{_datadir}/bash-completion/completions/%{name}
%{_infodir}/%{name}*.info.gz
%{_infodir}/%{name}.info-1.gz
%{_infodir}/%{name}.info-2.gz
%{_mandir}/man1/%{name}-*.1.gz
%{_mandir}/man8/%{name}-*.8.gz

#=============================================================================

%prep
%setup -q
%{__cp} %{SOURCE1} unifont.pcf.gz

#-----------------------------------------------------------------------------
#building application
%build

sed -i							\
  -s "s/fgrep/grep -E/"g				\
  util/grub.d/10_linux.in

DEFBASE="						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--enable-mm-debug				\
	--enable-nls					\
	--enable-device-mapper				\
	--enable-cache-stats				\
	--enable-grub-mkfont				\
	--disable-grub-mount				\
	--enable-liblzma				\
	--enable-libzfs					\
	--with-bootdir="/boot"				\
	--with-grubdir="grub"				\
	--program-prefix=""				\
	--disable-werror				\
	--disable-grub-themes				\
	"

./autogen.sh

for plat in %{platform}
  do
  case $plat in
    "pc"	)
      target="i386"
      efiemu="enable-efiemu";
      ;;
    "efi"	)
      target="%{_arch}"
      efiemu="disable-efiemu";
      ;;
    esac
  wrkdir="../%{name}-$plat-%{version}"
  rm -fr $wrkdir
  cp -a . $wrkdir
  pushd $wrkdir
  /bin/sh ./configure					\
	--target=$target				\
	--with-platform=$plat				\
	--$efiemu					\
	$DEFBASE					\

   %{__make} %{_smp_mflags}
  popd
  done

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

for plat in %{platform}
  do
  wrkdir="../%{name}-$plat-%{version}"
  pushd $wrkdir
  %{__make}						\
	DESTDIR=%{buildroot}				\
	install
  popd
  done

%{__mkdir_p} %{buildroot}/boot/%{name}
%{__rm} -fr %{buildroot}%{_infodir}/dir

#setting default grub values
%{__mkdir_p} %{buildroot}/%{_sysconfdir}/default

cat > %{buildroot}%{_sysconfdir}/default/%{name} << EOF
#-----------------------------------------------------------------------------
#Grub default used by grub-mkconfig
#-----------------------------------------------------------------------------
GRUB_TIMEOUT=5
GRUB_DISTRIBUTOR="$(sed 's, release .*$,,g' /etc/system-release)"
GRUB_DEFAULT=saved
GRUB_SAVEDEFAULT=false
GRUB_DISABLE_SUBMENU=true
GRUB_TERMINAL_OUTPUT="console"
#GRUB_CMDLINE_LINUX="crashkernel=auto quiet"
GRUB_CMDLINE_LINUX="crashkernel=auto quiet modprobe.blacklist=nouveau"
GRUB_CMDLINE_LINUX_DEFAULT=""
GRUB_DISABLE_RECOVERY="true"
#-----------------------------------------------------------------------------
EOF

#adjusting grub completion
%{__mkdir_p}							\
	%{buildroot}%{_datadir}/bash-completion/completions
%{__mv}								\
	%{buildroot}%{_sysconfdir}/bash_completion.d/%{name}	\
	%{buildroot}%{_datadir}/bash-completion/completions
%{__rm} -rf %{buildroot}%{_sysconfdir}/bash_completion.d/
	
%find_lang grub

#-----------------------------------------------------------------------------
%changelog
